%define 	pkgname opendpi
%define		soname	lib%{pkgname}
%define		libname %{soname}1
Name:		%{libname}
Version:	1.3.0
Release:	1.1
Url:		http://code.google.com/p/opendpi/
Summary:	The open source deep packet inspection engine
Group:		Productivity/Networking/Other
License:	LGPL
Source0:	%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libpcap-devel

%description
OpenDPI is a software component for traffic classification based on deep packet inspection.

%package -n %{soname}-devel
Group:		Development/Libraries/C and C++
Summary:	OpenDPI development files
Requires:	%{libname} = %{version}-%{release}
Requires:	libpcap-devel

%description -n %{soname}-devel
OpenDPI is a software component for traffic classification based on deep packet inspection.
This package contains development files.

%prep
%setup -n %{pkgname}-%{version}

%build
%configure
%__make

%install
%__make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/OpenDPI_demo
%{_libdir}/libopendpi.so.1.0.3

%files -n %{soname}-devel
%defattr(-,root,root)
%dir %{_includedir}/libopendpi-1.3/
%dir %{_includedir}/libopendpi-1.3/libopendpi
%{_includedir}/libopendpi-1.3/libopendpi/ipq_api.h
%{_includedir}/libopendpi-1.3/libopendpi/ipq_basic_def.h
%{_includedir}/libopendpi-1.3/libopendpi/ipq_debug_functions.h
%{_includedir}/libopendpi-1.3/libopendpi/ipq_macros.h
%{_includedir}/libopendpi-1.3/libopendpi/ipq_protocols_osdpi.h
%{_includedir}/libopendpi-1.3/libopendpi/ipq_public_functions.h
%{_libdir}/libopendpi.a
%{_libdir}/libopendpi.la
%{_libdir}/libopendpi.so
%{_libdir}/libopendpi.so.1


%changelog

